- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Namespace List
- Namespace Members

# CIAO Namespace Reference

A struct which captures the binding information about a component. More...

## Classes
interface | Cookie
class | Container
| Common container interface definition. More...
struct | Static_Config_EntryPoints_Maps
class | Session_Container
class | Context_Impl_Base
| Non-template base class for Context_Impl. More...
class | Context_Impl
| Mixin base class for generated context. More...
class | Map_Key_Cookie
| A internal cookie valuetype implementation. More...
class | Map_Key_Cookie_init
| Valuefactory implementation for Cookies. More...
struct | _component_binding
class | Dynamic_Component_Activator
| Activator that is registered with the POA for facet and consumer servants. More...
class | Dynamic_Component_Servant_Base
class | Dynamic_Component_Servant
class | Home_Servant_Impl_Base
| Non-template base class for Home_Servant_Impl. More...
class | Home_Servant_Impl
| Mixin base class for generated home servant. More...
class | NodeApplication_Callback_Impl
| A call back interface for NodeApplication Note: Here is no need to be thread safe since for every nodeapplication we will have an unique callback object. --Tao. More...
interface | NodeApplication_Callback
class | Object_Set
| A helper template class for maintaining and managing a set of object reference. More...
class | Port_Activator
| Base class for port activations. More...
class | Port_Activator_T
| Concrete class that implements the strategy for creating the right type of servant for the ports in question. More...
class | Servant_Activator
| Activator that is registered with the POA for facet and consumer servants. More...
class | Servant_Impl_Base
| Non-template base class for Servant_Impl. More...
class | Servant_Impl
| Mixin base class for generated servant. More...
class | StandardConfigurator_Impl
| Servant implementation for Components::StandardConfigurator. More...
interface | Swap_Exec
class | Swapping_Container
class | Swapping_Home_Servant_Impl_Base
class | Swapping_Home_Servant_Impl
class | Upgradeable_Context_Impl
interface | UpgradeableContext
## Namespaces
namespace | DAnCE
namespace | Utility
## Typedefs
typedef ::Components::HomeExecutorBase_ptr(*) | HomeFactory (void)
typedef ::PortableServer::Servant(*) | ServantFactory (::Components::HomeExecutorBase_ptr p,::CIAO::Session_Container *c, const char *ins_name)
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, HomeFactory, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | HOMECREATOR_FUNCPTR_MAP
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, ServantFactory, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | HOMESERVANTCREATOR_FUNCPTR_MAP
typedef CIAO::_component_binding | Component_Binding_Info
## Functions
CIAO_CLIENT_Export int | debug_level (void)
int | Client_init (CORBA::ORB_ptr o)
int | debug_level (void)
int | Server_init (CORBA::ORB_ptr o)

## Detailed Description

A struct which captures the binding information about a component.

@ Note: This needs deprecation.

## Typedef Documentation

typedef ::Components::HomeExecutorBase_ptr(*) CIAO::HomeFactory(void)

typedef ::PortableServer::Servant(*) CIAO::ServantFactory(::Components::HomeExecutorBase_ptr p,::CIAO::Session_Container *c, const char *ins_name)

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, HomeFactory, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::HOMECREATOR_FUNCPTR_MAP

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, ServantFactory, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::HOMESERVANTCREATOR_FUNCPTR_MAP

typedef struct CIAO::_component_binding CIAO::Component_Binding_Info

A struct which captures the compnent binding information, which is useful for inter-assembly connection setup

## Function Documentation

CIAO_CLIENT_Export int CIAO::debug_level | ( | void |  | ) |

Return the debug level. The debug level of CIAO is control by an environment variable "CIAO_DEBUG_LEVEL". It should be an int value. If it is not defined, the default debug level is 0. The value of debug value is evaluated on its first use and the value is then cached. The actual implementation of this function is in Client_init.cpp.

Some recommendation for using the debug_level

> 0 : For component users. Component developers are encouraged to develop their own > 10 : For CIAO tools > 20 : For CIAO core.

CIAO_CLIENT_Export int CIAO::Client_init | ( | CORBA::ORB_ptr | o | ) |

The initialize routine for any clients that need to access component. This routine now simply registers various valuetype factories defined in CIAO_Component.pidl. Currently, this method should be call right after ORB initialization but we should try to register these stuff automatically.

int CIAO::debug_level | ( | void |  | ) |

Return the debug level. The debug level of CIAO is control by an environment variable "CIAO_DEBUG_LEVEL". It should be an int value. If it is not defined, the default debug level is 0. The value of debug value is evaluated on its first use and the value is then cached. The actual implementation of this function is in Client_init.cpp.

Some recommendation for using the debug_level

> 0 : For component users. Component developers are encouraged to develop their own > 10 : For CIAO tools > 20 : For CIAO core.

CIAO_SERVER_Export int CIAO::Server_init | ( | CORBA::ORB_ptr | o | ) |

The initialize routine for any server that need to access component. This routine now simply registers various valuetype factories defined in CIAO_Component.pidl. Currently, this method should be call right after ORB initialization but we should try to register these stuff automatically.